#include <bits/stdc++.h>

using namespace std;

int main ()
{
    char c1, c2;
    int a1, a2;
    cin>>c1c2;
    cin>>a1>>a2;
    if ((a1-a2 == 1) && (a1-a2 == 0))
    {
        cout<<a1;
        for(i = 0; i < a2){
            cout<<a2<<a1;
        }
    }
    else if ((a2-a1 != 1) && (a2-a1 == 0))
    {
        cout<<a2;
        for(i = 0; i < a1){
            cout<<a1<<a2;
        }
    }
    else
    {
        cout<<"nemoguce";
    }


    return 0;
}